Subject: Re: Inspecting a corrupt git object

From: Alejandro Riveira Fernández <[email-masked]>
Date: Wed, 4 Aug 2010 09:48:11 +0000 (UTC)

On Wed, 04 Aug 2010 11:25:30 +0200, Magnus Bäck wrote:

[ ... ]
> 
> From what I gather from the community book and Pro Git, a git object
> file is a deflated representation of the object type as a string, the
> payload size, a null byte, and the payload. Is there a standard tool for
> inflating the file back so that I can inspect what the actual difference
> between these two are? Short of writing a tool utilizing zlib, at least.

 Maybe

 git cat-file -p <sha1>
 
 ?

> 
> Any other ideas why we would see such a difference? Hardware malfunction
> or memory corruption I guess, but something else? I can supply the
> actual object files if necessary.

Alejandro